Ipopt 3.12.10

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Private Attributes | List of all members
Ipopt::ScaledMatrixSpace Class Reference

This is the matrix space for ScaledMatrix. More...

`#include <IpScaledMatrix.hpp>`

Inheritance diagram for Ipopt::ScaledMatrixSpace:
[legend]

## Public Member Functions
ScaledMatrix * | MakeNewScaledMatrix (bool allocate_unscaled_matrix=false) const
| Method for creating a new matrix of this specific type. More...
virtual Matrix * | MakeNew () const
| Overloaded MakeNew method for the MatrixSpace base class. More...
SmartPtr< const Vector > | RowScaling () const
| return the vector for the row scaling More...
SmartPtr< const MatrixSpace > | UnscaledMatrixSpace () const
| return the matrix space for the unscaled matrix More...
SmartPtr< const Vector > | ColumnScaling () const
| return the vector for the column scaling More...
Constructors / Destructors
| ScaledMatrixSpace (const SmartPtr< const Vector > &row_scaling, bool row_scaling_reciprocal, const SmartPtr< const MatrixSpace > &unscaled_matrix_space, const SmartPtr< const Vector > &column_scaling, bool column_scaling_reciprocal)
| Constructor, given the number of row and columns blocks, as well as the totel number of rows and columns. More...
| ~ScaledMatrixSpace ()
| Destructor. More...
Public Member Functions inherited from Ipopt::MatrixSpace
Index | NRows () const
| Accessor function for the number of rows. More...
Index | NCols () const
| Accessor function for the number of columns. More...
bool | IsMatrixFromSpace (const Matrix &matrix) const
| Method to test if a given matrix belongs to a particular matrix space. More...
| MatrixSpace (Index nRows, Index nCols)
| Constructor, given the number rows and columns of all matrices generated by this MatrixSpace. More...
virtual | ~MatrixSpace ()
| Destructor. More...
Public Member Functions inherited from Ipopt::ReferencedObject
| ReferencedObject ()
virtual | ~ReferencedObject ()
Index | ReferenceCount () const
void | AddRef (const Referencer *referencer) const
void | ReleaseRef (const Referencer *referencer) const

## Private Member Functions
Default Compiler Generated Methods
(Hidden to avoid implicit creation/calling). These methods are not implemented and we do not want the compiler to implement them for us, so we declare them private and do not define them. This ensures that they will not be implicitly created/called.
| ScaledMatrixSpace ()
| Default constructor. More...
| ScaledMatrixSpace (const ScaledMatrixSpace &)
| Copy Constructor. More...
ScaledMatrixSpace & | operator= (const ScaledMatrixSpace &)
| Overloaded Equals Operator. More...

## Private Attributes
SmartPtr< Vector > | row_scaling_
| Row scaling vector. More...
SmartPtr< const MatrixSpace > | unscaled_matrix_space_
| unscaled matrix space More...
SmartPtr< Vector > | column_scaling_
| column scaling vector More...

## Detailed Description

This is the matrix space for ScaledMatrix.

Definition at line 128 of file IpScaledMatrix.hpp.

## Constructor & Destructor Documentation

Ipopt::ScaledMatrixSpace::ScaledMatrixSpace | ( | const SmartPtr< const Vector > & | row_scaling,
|  | bool | row_scaling_reciprocal,
|  | const SmartPtr< const MatrixSpace > & | unscaled_matrix_space,
|  | const SmartPtr< const Vector > & | column_scaling,
|  | bool | column_scaling_reciprocal
| ) |  |

Constructor, given the number of row and columns blocks, as well as the totel number of rows and columns.

Ipopt::ScaledMatrixSpace::~ScaledMatrixSpace | ( |  | ) |
| inline

Destructor.

Definition at line 143 of file IpScaledMatrix.hpp.

Ipopt::ScaledMatrixSpace::ScaledMatrixSpace | ( |  | ) |
| private

Default constructor.

Ipopt::ScaledMatrixSpace::ScaledMatrixSpace | ( | const ScaledMatrixSpace & |  | ) |
| private

Copy Constructor.

## Member Function Documentation

ScaledMatrix* Ipopt::ScaledMatrixSpace::MakeNewScaledMatrix | ( | bool | allocate_unscaled_matrix = `false` | ) | const
| inline

Method for creating a new matrix of this specific type.

Definition at line 148 of file IpScaledMatrix.hpp.

virtual Matrix* Ipopt::ScaledMatrixSpace::MakeNew | ( |  | ) | const
| inline virtual

Overloaded MakeNew method for the MatrixSpace base class.

Implements Ipopt::MatrixSpace.

Definition at line 160 of file IpScaledMatrix.hpp.

SmartPtr<const Vector> Ipopt::ScaledMatrixSpace::RowScaling | ( |  | ) | const
| inline

return the vector for the row scaling

Definition at line 166 of file IpScaledMatrix.hpp.

SmartPtr<const MatrixSpace> Ipopt::ScaledMatrixSpace::UnscaledMatrixSpace | ( |  | ) | const
| inline

return the matrix space for the unscaled matrix

Definition at line 172 of file IpScaledMatrix.hpp.

SmartPtr<const Vector> Ipopt::ScaledMatrixSpace::ColumnScaling | ( |  | ) | const
| inline

return the vector for the column scaling

Definition at line 178 of file IpScaledMatrix.hpp.

ScaledMatrixSpace& Ipopt::ScaledMatrixSpace::operator= | ( | const ScaledMatrixSpace & |  | ) |
| private

Overloaded Equals Operator.

## Member Data Documentation

SmartPtr<Vector> Ipopt::ScaledMatrixSpace::row_scaling_
| private

Row scaling vector.

Definition at line 203 of file IpScaledMatrix.hpp.

SmartPtr<const MatrixSpace> Ipopt::ScaledMatrixSpace::unscaled_matrix_space_
| private

unscaled matrix space

Definition at line 205 of file IpScaledMatrix.hpp.

SmartPtr<Vector> Ipopt::ScaledMatrixSpace::column_scaling_
| private

column scaling vector

Definition at line 207 of file IpScaledMatrix.hpp.

The documentation for this class was generated from the following file:

- src/LinAlg/IpScaledMatrix.hpp